com.jogamp.nativewindow.awt

## Class AWTGraphicsScreen

- java.lang.Object
- - javax.media.nativewindow.DefaultGraphicsScreen
  - - com.jogamp.nativewindow.awt.AWTGraphicsScreen

- All Implemented Interfaces:
    Cloneable, AbstractGraphicsScreen

      public class AWTGraphicsScreen
      extends DefaultGraphicsScreen
      implements Cloneable

  A wrapper for an AWT GraphicsDevice (screen) allowing it to be handled in a toolkit-independent manner.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTGraphicsScreen(AWTGraphicsDevice device)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `static AbstractGraphicsScreen` | `createDefault()`
    `static AbstractGraphicsScreen` | `createScreenDevice(GraphicsDevice awtDevice, int unitID)`
    `static AbstractGraphicsScreen` | `createScreenDevice(int index, int unitID)`
    `static int` | `findScreenIndex(GraphicsDevice awtDevice)`
    `static GraphicsDevice` | `getScreenDevice(int index)`

    - ### Methods inherited from class javax.media.nativewindow.DefaultGraphicsScreen

      `createDefault, getDevice, getIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTGraphicsScreen

          public AWTGraphicsScreen(AWTGraphicsDevice device)

  - ### Method Detail

    - #### getScreenDevice

          public static GraphicsDevice getScreenDevice(int index)

    - #### findScreenIndex

          public static int findScreenIndex(GraphicsDevice awtDevice)

    - #### createScreenDevice

          public static AbstractGraphicsScreen createScreenDevice(GraphicsDevice awtDevice,
                                                  int unitID)

    - #### createScreenDevice

          public static AbstractGraphicsScreen createScreenDevice(int index,
                                                  int unitID)

    - #### createDefault

          public static AbstractGraphicsScreen createDefault()

    - #### clone

          public Object clone()

      Specified by:
        `clone` in interface `AbstractGraphicsScreen`
      Overrides:
        `clone` in class `DefaultGraphicsScreen`

Copyright 2010 JogAmp Community.